name: JavaScript Prefix Test
on:
  push:
  pull_request:
jobs:
  test:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout code
        uses: actions/checkout@v4
      - name: Run JavaScript Prefix tests
        working-directory: javascript
        run: |
          ./TestJS.sh jstest.prefix.PrefixTest hard Base
          ./TestJS.sh jstest.prefix.PrefixTest hard 3233
          ./TestJS.sh jstest.prefix.PrefixTest hard 3435
          ./TestJS.sh jstest.prefix.PostfixTest hard 3637
          ./TestJS.sh jstest.prefix.PostfixTest hard 3839
